'@
'@ DESCRIPTION
'@ 
'@
'@ SYNTAX
'@ Convert Thickness Diagnostic Plot To Contour Plot
'@
'@ PARAMETERS
'@ none 
'@
'@ DEPENDENCIES/LIMITATIONS
'@ none
'@@ 
Set Synergy = CreateObject("synergy.Synergy")

' Get aspect ratio diagnostics
Set Elems = Synergy.CreateIntegerArray()
Set TH = Synergy.CreateDoubleArray()
Set DiagnosisManager = Synergy.DiagnosisManager()
DiagnosisManager.GetThicknessDiagnosis2 0.0, 1000.0, True, Elems, TH
Set DiagnosisManager = Nothing

' Create user plot
Set PlotMgr = Synergy.PlotManager()
PlotMgr.DeletePlotByName "Thickness"
Set ARPlot = PlotMgr.CreateUserPlot()
ARPlot.SetDataType "ELDT"
ARPlot.SetName "Thickness"
ARPlot.AddScalarData 0.0, Elems, TH
ARPlot.Build
' Plot the data - Turn off Nodal Averaging of the result 
Dim Plot
Set Plot = PlotMgr.FindPlotByName( "Thickness") 
Plot.SetNodalAveraging False
Plot.Regenerate 